Page MenuHomePhabricator

Add .nt to DCAT-AP for Wikidata dumps
Closed, ResolvedPublic

Description

With the introduction of a new dump format the DCAT script should be updated to also include .nt

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 9 2017, 6:05 PM

Holding off on this until we get a clarification about the future of the DCAT-AP "extension".

@hoo Is this format still used and if so is it still desired in DCAT?

.nt dumps is still used, and may even have more than one dump in the future, so it should be supported.

Change 425993 had a related patch set uploaded (by Lokal Profil; owner: Lokal Profil):
[operations/dumps/dcat@master] Allow format to be overridden in mediatype object

https://gerrit.wikimedia.org/r/425993

The patch doesn't add any new formats (truthy-nt is handled by T163328: Add the truthy nt dump to dcat-AP) but it allows for multiple .nt flavours in the future per T154914#3883832

What's the status on this? Anything needed to get it moving?

Smalyshev added a comment.EditedJul 20 2018, 6:49 PM

Well, for this particular task we first need to actually have .nt dump :) Then I guess we'd need to merge https://gerrit.wikimedia.org/r/425993

I plan to have some progress on T144103 soon-ish. Unless of course anybody else wants to volunteer :)

.nt dumps exist now, so I guess it's time to revive this one?

Er, so where are we at on this?

Smalyshev added a comment.EditedJan 4 2019, 12:58 AM

@ArielGlenn
I think somebody needs to merge https://gerrit.wikimedia.org/r/c/operations/dumps/dcat/+/425993 for this? I don't have +2 there. I reviewed it and for me it looks ok (except for one typo) but it'd be nice if somebody who knows what's going on there reviewed it too.

After it's merged I assume we need to add another config there.

I looked at it and agree the format variable thing is a little annoying to read; other than that I have no comments. I shoudn't be the other reviewer though. Let me see if @hoo has time to have a look at the patch.

Hoo hopes to look at it sometime this week; if there's no movement by Friday I'll see what can be done.

Change 425993 merged by jenkins-bot:
[operations/dumps/dcat@master] Allow format to be overridden in mediatype object

https://gerrit.wikimedia.org/r/425993

hoo added a comment.Jan 11 2019, 4:54 PM

I merged the patch and will deploy it probably in the next days… but without a configuration change, this is a no-op for now.

@hoo what's left to be done here?

hoo closed this task as Resolved.Apr 15 2019, 10:06 AM
hoo removed a project: Patch-For-Review.

@hoo what's left to be done here?

AFAICT this is fully done \o/ :)